/***************************************************************************

                      _____  __      __  __      __
                     /  _  \/  \    /  \/  \    /  \
                    /  /_\  \   \/\/   /\   \/\/   /
                   /    |    \        /  \        /
                   \____|__  /\__/\  /    \__/\  /
                           \/      \/          \/

    As the Wheel Weaves based on ROM 2.4. Original code by Dalsor.
    See changes.log for a list of changes from the original ROM code.
    Credits for code created by other authors have been left
 	intact at the head of each function.

    Original Diku Mud copyright (C) 1990, 1991 by Sebastian Hammer,
    Michael Seifert, Hans Henrik St{rfeldt, Tom Madsen, and Katja Nyboe.

    Merc Diku Mud improvments copyright (C) 1992, 1993 by Michael
    Chastain, Michael Quan, and Mitchell Tse.

    In order to use any part of this Merc Diku Mud, you must comply with
    both the original Diku license in 'license.doc' as well the Merc
    license in 'license.txt'.  In particular, you may not remove either of
    these copyright notices.

    Much time and thought has gone into this software and you are
    benefitting.  We hope that you share your changes too.  What goes
    around, comes around.

	ROM 2.4 is copyright 1993-1998 Russ Taylor
	ROM has been brought to you by the ROM consortium
	    Russ Taylor (rtaylor@hypercube.org)
	    Gabrielle Taylor (gtaylor@hypercube.org)
	    Brian Moore (zump@rom.org)
	By using this code, you have agreed to follow the terms of the
	ROM license, in the file Rom24/doc/rom.license

	         ROM MSP [C] 1998 Dingo dingo@pdragon.inetsolve.com
          written for Purple Dragon MUD pdragon.inetsolve.com:5555

    You may freely copy and/or change this code any way you wish, as long
    this header remains unchanged.

    most of the stuff in this file will be moved or deleted as i continue my
    work on msp,i know that there is alot of things what are used no more or
    not yet. I work on msp code just when i feel like messing with the sounds.
    getting decent and unique wav's what nobody else have is a pain, i'm sure
    that you will find out soon enough. now i sure have alot more respect to
    ppl who make their living by creating sound effects :)
 */

#define MSP_SOUNDS_URL	"http://wheel.inetsolve.com/~wheel/sounds"

#define MSP_FIGHT_VOLUME      100
#define MSP_SPELL_VOLUME       90
#define MSP_EVENT_VOLUME       80
#define MSP_WEATHER_VOLUME     60

#define MSP_FIGHT		0
#define MSP_TIME		1
#define MSP_WEATHER		2
#define MSP_EVENT		3
#define MSP_SPELL		4

#define MSP_FIGHT_EXOTIC	0
#define MSP_FIGHT_SWORD		1
#define MSP_FIGHT_DAGGER	2
#define MSP_FIGHT_SPEAR		3
#define MSP_FIGHT_MACE		4
#define MSP_FIGHT_AXE		5
#define MSP_FIGHT_FLAIL		6
#define MSP_FIGHT_WHIP		7
#define MSP_FIGHT_POLEARM	8
#define MSP_FIGHT_BOW		9
#define MSP_FIGHT_ARROW	       10

#define MSP_FIGHT_HIT	       11
#define MSP_FIGHT_DEFENSE      12
#define MSP_FIGHT_DEATHPC      13
#define MSP_FIGHT_DEATHMOB     14
#define MSP_FIGHT_DEFAULT      15

#define MSP_TIME_DARK		0
#define MSP_TIME_RISE		1
#define MSP_TIME_LIGHT		2
#define MSP_TIME_SET		3
#define MSP_TIME_NOON		4

#define MSP_WEATHER_CLOUDLESS   0
#define MSP_WEATHER_CLOUDY	1
#define MSP_WEATHER_RAINING	2
#define MSP_WEATHER_LIGHTNING	3

#define MSP_EVENT_LOGIN		0
#define MSP_EVENT_GOSSIP	1
#define MSP_EVENT_TELL		2
#define MSP_EVENT_ROOM		3


struct msp_type
{
    int		type;
    char       *group;
    char       *defsnd;
};

struct msp_data_type
{
    int		type;
    char       *sound;
};

extern	const	struct	msp_type        msp_table	    [];
extern	const  	struct	msp_data_type	msp_fight_table	    [];
extern	const	struct	msp_data_type  	msp_time_type	    [];
extern	const	struct	msp_data_type  	msp_weather_type    [];

typedef struct msp_data_type MSP_DATA;
typedef struct msp_type MSP_TYPE;

void 	msp	    args( (CHAR_DATA *ch,int stype, int group,char *sound) );
char   *msp_url	    args( (int sndtype,char *sound) );
void 	msp_weapon  args( (CHAR_DATA *ch,OBJ_DATA * weapon) );
void 	msp_spell   args( (CHAR_DATA *ch,int spell) );
