struct rank_type
{
	char *lookupname;
	int setNumber;
	char *uncoloured_set[10];
	char *coloured_set[10];
};
struct guildlist_for_ranks
{
	char *name;
	int NumberofSets;
	int NumberofRanks;
	char *addon;
};

const	struct	guildlist_for_ranks rank_guild_table [] =
{
	{"warder",1,5, "{D|{WWT{D|"},
	{"towerguard",1,7, "{D|{WWT{D|"},
	{"youngling",1,5, "{D|{WWT{D|"},
	{"ashaman",1,3, ""},
	{"queensguard",1,9, "{R[{WQG{R]"},
	{"kin",1,5, "{r[{wK{Wi{wn{r]"},
	{"children",1,9, ""},
	{"wiseone",1,4, ""},
	{"thespear",1,3, ""},
	{"crafters",1,4, ""},
	{"dragonsworn",1,10, "{W[{YD{yS{W]"},
	{"ogier",3,21, ""},
	{"thieftaker",1,10,"{y[{rTT{y]"},
	{"companions",1,10,"{W[{gI{yC{W]"},
	{"seafolk",2,17,"{W[{GS{BF{W]"},
	{"clanchief",1,2,"{y\\{YCC{y/"},
	{"aieles",2,12,"{G({wES{G)"},
	{"aielvs",2,12,"{B({wVS{B)"},
	{"aielbs",2,12,"{R({wBS{R)"},
	{"blightguard",1,7,"{y|{YB{WG{y|"},
	{"novice",1,8,"{D|{WWT{D|"},
	{"aessedai",1,7,"{D|{WWT{D|"},
	{"gleeman",1,3,""},
	{"bandcavalry",1,10,""},
	{"bandinfantry",1,10,""},
	{"chafaile",1,6,""},
	{"shadow",1,9,""},
	{"deathwatch",1,10,"{B[{WS{YC{WN{B]"},
	{"hailene",1,10,"{B[{WS{YC{WN{B]"},
	{"morat",2,10,"{B[{WS{YC{WN{B]"},
	{"seanchan",2,20,"{B[{WS{YC{WN{B]"},
	{"oathtaker",1,4,"{B[{WS{YC{WN{B]"},
	{"unique",1,4,""},
	{NULL,0,0, NULL},
};


const   struct  rank_type rank_table [] =
{
	{ "warder", 1,
	  { "Gaidin", "Algadashan", "Mandarbndore", "Ashandieb", "Taidaishar", "", "", "", "", "" },
	  { "{WG{wa{Wid{wi{Wn", "{WAlg{wa`d`as{Whan", "{WMan{wda{Drb`n{w`d{Wore", "{wA{Ws{Dh{wa{Wn{wd{Di{We{wb",
	  	"{DTa{wi`{Wdai{wsh{Dar", "", "", "", "", "" },
	},
	{ "towerguard", 1,
	  { "Recruit","Page","Aspirant","Guardsman","Defender","Guardian", "Tainaethan", "", "", "" },
	  { "{RR{recruit","{GP{gage","{BA{bspirant","{WG{Yu{Wa{Yr{Wd{Ys{Wm{Ya{Wn","{WDe{Rf{ren{Rd{Wer",
	  	"{WGu{Ba{brd{Bi{Wan","{WTa{Cin{c`ae{Cth{Wan", "", "", "" },
	},
	{ "youngling", 1,
	  { "Muaddrin","Cabadrin","Dondeaman","Dondeadieb","Tainvaldar", "", "", "", "", "" },
	  { "{WM{Gu{Wa{Gd{W`{Gd{Wr{Gi{Wn","{WCa{Gba{g`{Gdr{Win","{WDo{wn{Gde{g`{Ga`{wm{Wan",
	  	"{WD{wo{Gnd{ge`a`{Gdi{we{Wb","{gTa{Gin`{Wva{Gld{gar", "", "", "", "", "" },
	},
	{ "ashaman", 1,
	  { "Soldier","Dedicated","Ashaman","","", "", "", "", "", "" },
	  { "{DS{wol{Wdi{wer {DBT","{DD{wed{Wica{wte{Dd {DBT","{DA{wsh{Wa`m{Dan", "", "",
	  	"", "", "", "", "" },
	},
	{ "queensguard", 1,
	  { "Recruit","Patrolman","Bannerman","Squad Leader","Sergeant","Lieutenant",
		  "Senior Lieutenant", "Captain",
	  	"Commander","Captain-General" },
	  { "{RRe{Wc{wr{Wu{Rit","{RP{ra{wtr{Wol{rm{Ran","{RBan{wner{Rman","{RSqu{wad {WLea{Rder",
	  	"{RSer{wge{Rant","{RLi{re{wut{Wen{ra{Rnt",
		"{rS{Re{wni{Ro{rr {rL{Rie{wu{Wte{wn{Ran{rt", "{RCa{Wpta{Rin","{RCo{rm{Wma{rn{Rder",
	  	"{RCa{rpt{wai{Wn-G{wen{rer{Ral" },
	},
	{ "kin", 1,
	  { "apprentice","Journeywoman","wisewoman","merchant","knittingcircle", "unseeneyes", "dovetender", "eldest", "", "" 
},
	  { "{rA{Rp{Ypr{Gen{Yti{Rc{re","{BJo{bu{Wr{wneyw{Wo{bm{Ban","{wW{Yi{rs{we W{Yo{rm{Ya{wn",
	  	"{rMe{Yr{Wch{Ya{rnt","{yKn{Yi{Wtt{Yi{yng {yC{Yi{Wrc{Yl{ye", "{DU{wnsee{Dn {DE{wye{Ds", "{WD{Co{wv{We T{Ce{wnd{Ce{Wr", "{gE{Gl{Yde{Gs{gt", "", "" },
	},

	{ "children", 1,
	  { "Captain","Lieutenant","Hundredman","Child","Recruit",
	  	"High Inquisitor","Inquisitor","Hand of the Light", "Lord Captain Commander", ""  },
	  { "{WC{ya{Yp{Dt{Ya{yi{Wn","{DL{Yi{ye{Wu{wte{Wn{ya{Yn{Dt","{DH{Yu{yn{Wd{wre{Wd{ym{Ya{Dn","{WC{Yh{Wi{Yl{Wd","{YR{We{Yc{Wr{Yu{Wi{Yt",
	  "{WHigh {RIn{rqu{Wis{rit{Ror","{RIn{rqu{Wis{rit{Ror","{WHand {yof {Ythe {WLight", "{WL{Yo{Wr{Yd {WC{ya{Yp{Dt{Ya{yi{Wn {WC{yo{Ym{Wm{wa{Wn{Yd{ye{Wr", "" },
	},
	{ "wiseone", 1,
	  { "DeadInRhuidean","Apprentise","youngwiseone","WiseOne","", "", "", "", "", "" },
	  { "{wD{Wead {wIn Rhui{Wdean","{YWi{ys{we {YO{yn{we {YA{yppr{wen{ytic{Ye",
					"{GYo{gung {GWi{gs{we {GO{gn{we","{YWi{ys{we {YO{yn{we", "", "", "", "", "", "" },
	},
	{ "thespear", 1,
	  { "Roofmistress","Gaishain","Young Spear","","", "", "", "", "", "" },
	  { "{CR{Woo{cfM{Cis{Wtre{css","{WGa{wi`S{Whai{wn","{DYo{gun{Gg {DSp{gea{Gr", "", "", "", "", "", "", "" },
	},
	{ "crafters", 1,
	  { "weaver","planter","Jeweller","blacksmith","", "", "", "", "", "" },
	  { "{yW{Ye{Wav{Ye{yr","{gPl{Gant{ger","{yJ{Yew{Wel{Yle{yr", "{DBl{wac{WkS{wmi{Dth", "", "", "", "", "", "" },
	},
	{ "dragonsworn", 1,
	  { "Hierarch","Spirit","Eyes","Scales","Talons","Auspex","Flame","Savant","Adroit","Neophyte" },
	  { "{YHi{ye{wr{Wa{wr{yc{Yh","{WS{Dp{Wi{Dr{Wi{Dt","{BE{by{Be{bs","{GS{gc{Ga{gl{Ge{gs",
	  	"{RT{ra{Rl{ro{Rn{rs","{BA{bu{Bs{bp{Be{bx","{RF{rl{Ra{rm{Re","{GS{ga{Gv{ga{Gn{gt",
	  	"{WA{Dd{Wr{Do{Wi{Dt","{YNe{yo{wp{Wh{wy{yt{Ye" },
	},
	{ "ogier", 1,
	  { "scribe","librarian","storyteller","nymstrell","builder","gardener","treesinger","runner",
	  	"scout","cosmopolitan" },
	  { "{YS{ycribe","{YL{yi{wbr{Da{wri{yan","{ySt{Yor{wy{Wt{we{Yll{yer","{GN{yy{gm{YS{gtr{yel{gl",
	  	"{WB{wuil{Dde{wr","{GG{gar{yden{ger","{GT{gr{yee{GS{gin{yger","{yR{wu{Dn{wn{De{wr",
	  	"{wS{Yc{yo{wu{yt","{gC{yos{bmo{Bpo{bli{yta{gn" },
	},
	{ "ogier", 2,
	  { "Advocate","Peacekeeper","Sentry","Diplomat","Emissary","Em2","Ambassador","Peacemaker","Ancient", "Chanter of the Fields" },
	  { "{RAd{rv{Doc{ra{Rte","{GP{geac{Ge{Rk{re{Dep{re{Rr","{RS{ren{Dtr{wy","{GD{Wi{wp{glo{wm{Wa{Gt",
		"{GE{gmi{Dss{war{Wy{g","{WE{wmi{Dss{gar{Gy","{GA{gm{Wb{ga{Gss{ga{Wd{go{Gr","{GP{We{wa{Dc{gem{Da{wk{We{Gr", "{YA{yn{Ycie{yn{Yt {Do{wf {Wt{wh{De {GS{gt{Geddi{gn{Gg", "{GCh{gant{Ger {Do{wf {Wt{wh{De {YFi{yel{Yds" },
	},
	{ "ogier", 3,
	  { "keeper","","","","","","","","","" },
	  { "{GK{ge{Gep{ge{Gr {Do{wf {Wt{wh{De {GS{gt{Geddi{gn{Gg","","","","","","","","","" },
	},
	{ "thieftaker", 1,
	  { "Warden","Ranger","Hunter","Tracker","Pathfinder","Guide","Scout","Sniffer","Apprentice","Recruit" },
	  { "{DW{wa{Wr{wd{Den","{DR{wa{Wng{we{Dr","{DH{wu{Wnt{we{Dr","{DT{wra{Wck{wer","{DPa{wth{Wfi{wnd{Der",
	  	"{DG{wu{Wi{wd{De","{DS{wc{Wo{wu{Dt","{DS{wn{Wiff{we{Dr","{DA{wpp{Wrent{wic{De","{DR{we{Wcru{wi{Dt" },
	},
	{ "companions", 1,
	  { "Asst. Medic","Medic","Chief Medic","Bannerman","Companion","Elite Soldier",
	  	"Sergeant","Lieutenant","Captain","Commander"  },
	  { "{WA{ws{Ws{wt. {RM{we{rd{Wi{Rc",
	  	"{RM{we{rd{Wi{Rc","{YC{yh{Wi{ye{Yf {WM{we{Wd{wi{Wc","{DBa{Wnn{we{Wrm{Dan",
	  	"{GC{go{Gm{yp{Ya{yn{Gi{go{Gn","{BE{bl{Wi{bt{Be {YS{yo{wl{Wd{wi{ye{Yr","{WS{we{yr{Yg{ye{Wa{wn{Wt",
	  	"{WL{yi{we{Yu{Wt{ye{wn{Ya{Wn{wt","{WC{wa{yp{Yt{ya{wi{Wn" , "{WC{wo{ym{Ym{Wa{wn{yd{Ye{Wr" },
	},
	{ "seafolk", 1,
	  { "Deckgirl","Deckboy","Deckhand","Deckhand","Firstmate","Deckmaster","Sailmistress",
		"Cargomaster","Wavemistress","Swordmaster" },
	  { "{yD{Ye{yck{Mg{mi{wr{Ml","{yD{Ye{yck{Bb{bo{By","{WD{we{Wckha{wn{Wd","{WD{we{Wckha{wn{Wd",
		"{GF{gi{Cr{Bs{bt{Bm{Ca{gt{Ge","{RD{re{yc{Yk{wma{Ys{yt{re{Rr","{gSa{Gil{Wm{wis{Wt{Gre{gss",
		"{YCa{yrg{wo{Wm{wa{yst{Yer","{BWa{Cve{Wm{wis{Wt{Cre{Bss","{rSw{Ro{wrd{Wm{was{Rt{rer" },
	},
	{ "seafolk", 2,
	  { "Apprentice","Windfinder","Windfinder (SM)","Windfinder (WM)",
		"Mistress of Ships","Master of Blades","Windfinder (MoS)","","",""},
	  { "{cAp{Cp{wr{Wen{wt{Ci{cce","{cWi{Cn{Wd{wfi{Wn{Cd{cer","{cWi{Cn{Wd{wfi{Wn{Cd{cer {w({gS{GM{w)",
		"{cWi{Cn{Wd{wfi{Wn{Cd{cer {w({BW{CM{w)","{BM{ci{Cs{wtr{Ce{cs{Bs {wof {GS{gh{bi{Bp{Gs",
		"{BM{Ca{wst{Ce{Br {wof {rB{Rl{wa{Wd{Re{rs","{cWi{Cn{Wd{wfi{Wn{Cd{cer {w({GM{go{BS{w)","","","" },
	},
	{ "clanchief", 1,
	  { "clanchief","septchief","","","","","","","","" },
	  { "{yC{Yla{yn C{Yhie{yf","{yS{Yep{yt C{Yhie{yf","","","","","","","","" },
	},
	{ "aieles", 1,
	  { "thunderwalk","stonedog","spearmaiden","redshield","mountaindancer","blackeye","waterseeker",
	  	"knifehand","dawnrunner","trueblood" },
	  { "{MS{mh{Ma{W'{MM{ma{Md {mC{Mond{me","{wS{Dh{wae{W'{we{Dn M{W'{wT{Da{wal",
	  	"{bF{Ba{Wr {bD{Bar{we{Wis {bM{Ba{Wi","{rA{Re{rth{Ra{rn D{Ro{rr","{YHa{yma{W'{yN Do{Yre",
	  	"{bSe{Bi{Ca {bDo{Bo{Cn","{WDu{wadh{We Ma{whd{Wi'i{wn","{WSo{wvi{Wn {wN{Wa{wi",
	  	"{WRa{yhi{Yen {WS{yo{Yri","{RTa{ri{Rn {RS{rha{Rri" },
	},
	{ "aieles", 2,
	  { "eaglebrother","nightspear","","","","","","","","" },
	  { "{cF{Ca{Br {cAl{Cda{Bz{bar {cD{Ci{Bn","{BC{bo{Br D{bar{Bei","","","","","","","","" },
	},
	{ "aielvs", 1,
	  { "thunderwalk","stonedog","spearmaiden","redshield","mountaindancer","blackeye","waterseeker",
	  	"knifehand","dawnrunner","trueblood" },
	  { "{MS{mh{Ma{W'{MM{ma{Md {mC{Mond{me","{wS{Dh{wae{W'{we{Dn M{W'{wT{Da{wal",
	  	"{bF{Ba{Wr {bD{Bar{we{Wis {bM{Ba{Wi","{rA{Re{rth{Ra{rn D{Ro{rr","{YHa{yma{W'{yN Do{Yre",
	  	"{bSe{Bi{Ca {bDo{Bo{Cn","{WDu{wadh{We Ma{whd{Wi'i{wn","{WSo{wvi{Wn {wN{Wa{wi",
	  	"{WRa{yhi{Yen {WS{yo{Yri","{RTa{ri{Rn {RS{rha{Rri" },
	},
	{ "aielvs", 2,
	  { "eaglebrother","nightspear","","","","","","","","" },
	  { "{cF{Ca{Br {cAl{Cda{Bz{bar {cD{Ci{Bn","{BC{bo{Br D{bar{Bei","","","","","","","","" },
	},
	{ "aielbs", 1,
	  { "thunderwalk","stonedog","spearmaiden","redshield","mountaindancer","blackeye","waterseeker",
	  	"knifehand","dawnrunner","trueblood" },
	  { "{MS{mh{Ma{W'{MM{ma{Md {mC{Mond{me","{wS{Dh{wae{W'{we{Dn M{W'{wT{Da{wal",
	  	"{bF{Ba{Wr {bD{Bar{we{Wis {bM{Ba{Wi","{rA{Re{rth{Ra{rn D{Ro{rr","{YHa{yma{W'{yN Do{Yre",
	  	"{bSe{Bi{Ca {bDo{Bo{Cn","{WDu{wadh{We Ma{whd{Wi'i{wn","{WSo{wvi{Wn {wN{Wa{wi",
	  	"{WRa{yhi{Yen {WS{yo{Yri","{RTa{ri{Rn {RS{rha{Rri" },
	},
	{ "aielbs", 2,
	  { "eaglebrother","nightspear","","","","","","","","" },
	  { "{cF{Ca{Br {cAl{Cda{Bz{bar {cD{Ci{Bn","{BC{bo{Br D{bar{Bei","","","","","","","","" },
	},
	{ "blightguard", 1,
	  { "Recruit","Lancer","Squad Leader","Troop Leader","Captain","Commander","General","Marshall","","" },
	  { "{yR{Yec{Wr{Yui{yt","{yL{Ya{Wnc{Ye{yr","{yS{Yq{Wu{Ya{yd L{Ye{Wad{Ye{yr",
	  	"{yT{Yr{Wo{Yo{yp L{Ye{Wad{Ye{yr","{yC{Yap{Wt{Yai{yn","{yCo{Ymm{Wa{Ynd{yer","{yG{Yen{We{Yra{yl","{YM{ya{Wrsha{yl{Yl","","" },
	},
	{ "novice", 1,
	  { "Initiate","First Novice","Second Novice","Third Novice",
	  	"Accepted","Silver Accepted","Bronze Accepted","Gold Accepted","","" },
	  { "{wI{Wn{witiate","{WF{wirst {WN{wovice","{RS{recond {WN{wovice","{BT{bhird {WN{wovice",
	  	"{WA{yc{wc{Be{Gp{Yt{Re{Wd","{wS{Wi{wlver {WA{yc{wc{Be{Gp{Yt{Re{Wd",
	  	"{yB{Yr{yonze {WA{yc{wc{Be{Gp{Yt{Re{Wd","{YG{yo{Yl{yd {WA{yc{wc{Be{Gp{Yt{Re{Wd","","" },
	},
	{ "aessedai", 1,
	  { "AesSedai","Nosandi","Alantar","Mavron","AjahSeat","","","","","" },
	  { "{WA{Ge{Ds {YS{Re{yd{Ba{Wi","{WN{Go{Ds{Ya{Rn{yd{Bi","{WA{Gl{Da{Yn{Rt{ya{Br","{WM{Ga{D`{Yv{Rr{yo{Bn",
	  	"{WA{Gj{Da{Yh {RS{ye{Ba{Wt","{yB{Yr{yown A{Yj{yah","{wG{Wr{wey A{Wj{wah","","","" },
	},
	{ "gleeman", 1,
	  { "MasterBard","Gleeman","Gleeman Council","","","","","","","" },
	  { "{wMa{Wster{MBa{mrd","{YG{bl{xe{me{rm{Ya{gn","{yG{bl{xe{me{rm{Ya{gn {DC{wo{Wunc{wi{Dl","","","","","","","" },
	},
	{ "bandcavalry", 1,
	  { "RedHand Recruit","Bannerman","Squad Officer","Squad Leader","RdHandRecruiter",
	  	"Banner Leader","CavalyOfficer","Cav. Commander","Lt. Commander","Sr.Commander"},
	  { "{RRe{rdHa{Rnd R{rec{Rru{rit","{RBan{rne{Rrm{ran","{RSq{rua{Rd Of{rfi{Rcer","{RSqu{rad L{Rea{rde{Rr",
		"{RRdH{rand{RRe{rcr{Rui{rter","{RBa{rnn{Rer L{rea{Rde{rr","{RCa{rva{Rly{ROf{rfi{Rce{rr",
		"{RCa{rv. Co{Rmm{ran{Rde{rr","{YLt{R. {YCo{ymm{Yand{yer","{YSr{R.{YCom{yma{Ynde{yr"},
	},
	{ "bandinfantry", 1,
	  { "RedHand Recruit","footsoldier","Squad Officer","Squad Leader","RdHandRecruiter",
	  	"File Leader","Inf. Officer","Inf. Commander","Lt. Commander","Sr.Commander"},
	  { "{RRe{rdHa{Rnd R{recr{Rui{rt","{RFoo{rts{Rold{rie{Rr","{RSqu{rad{R Of{rfic{Rer",
	  	"{RSqu{rad L{Rea{rde{Rr","{RRdH{rand{RRe{rcr{Rui{rter","{RFi{rle L{Rea{rde{Rr",
	  	"{RIn{rf. {ROf{rfic{Rer","{YIn{yf{R. {YCom{yma{Ynd{yer","{YLt{R. {YCo{ymma{Ynd{yer",
	  	"{YSr{R.{YCom{yman{Yde{yr"},
	},
	{ "chafaile", 1,
	  { "Incept","Cair`Mael","Sei d'ma'Cha'","Cipher","Carai`Faile","Cha Faile","","","","" },
	  { "{CI{cn{Wce{cp{Ct","{YC{ya{Yi{yr{W`{WM{gae{Wl","{WS{De{Wi {YD{D'{ym{Ya{D'{Yc{yh{Ya",
	  	"{WC{Di{rph{De{Wr","{GC{ga{wr{ga{Gi{W`{MF{ma{Ci{ml{Me","{YC{yh{Ya {MF{wa{Ci{wl{Me","","","","" },
	},
	{ "shadow", 1,
	  { "Defiler","Shadow Weaver","Honor-Guard",
		  "Dark Sister","Seeker","Anointed Sister","Servant",
		  "Acolyte","Friend of the Dark","" },
	  { "{BDe{bfil{Ber {Wof {wLi{Dg{wht","The {BS{bhadow {WW{we{Wa{wv{We{wr","{BH{bonor{D-{BG{buard {bof the {DShadow",
		  "{BD{bark {BS{bister","{WS{weeker","{BA{bnnointed {BS{bister","{BS{bervant {wof {BD{ba{Br{bk{Bn{be{Bs{bs",
		  "{WA{wcolyte of the {BS{bhadow","{BF{briend {wof the {BD{bark","" },
	},
	{ "deathwatch", 1,
	  { "Recruit","Elite","Sergeant","2nd Lieutenant","1st Lieutenant","Captain","Commander","Banner-General","General","Imperial General" },
	  { "{RR{re{Wc{wr{Wu{ri{Rt","{RE{rl{wi{rt{Re","{RS{rer{Wg{we{Wa{rn{Rt","{R2{rn{wd {RL{ri{We{wuten{Wa{rn{Rt",
		"{R1{rs{wt {RL{ri{We{wuten{Wa{rn{Rt","{RC{ra{Wp{wt{Wa{ri{Rn","{RC{ro{Wm{wman{Wd{re{Rr",
		"{RB{ra{Wn{wner-Gene{Wr{ra{Rl","{RG{re{Wn{we{Wr{ra{Rl","{GI{gmp{werial {GG{gen{weral" },
	},
	{ "hailene", 1,
	  { "Recruit","Sailor","Guardsmen","Deckmaster","Sergeant","First Mate","Captain","SCaptain","Commander","Fleet Captain" },
	  { "{rRe{wcru{rit","{YS{ya{ri{Rlor","{rGu{wardsm{ren","{YDe{yc{rk{Rma{rs{yt{Yer","{rSe{wrgea{rnt",
		"{YFi{yr{rs{Rt {YM{ya{rt{Re","{rCa{wpta{rin","{YCa{yp{rt{Rai{Yn","{rCo{wmmand{rer","{YFl{ye{Re{rt {RC{ra{Yp{yta{ri{yn" },
	},
	{ "morat", 1,
		{ "RRecruit","RApprentice","RScout","Raken",
			"GRecruit","GApprentice","GScout","Grolm",
			"CRecruit","CApprentice" },
		{ "{WM'{wRa{yk{Ce{cn R{Ce{yc{wru{Wit","{WA{wp{yp{Cr{cen{Ct{yi{wc{We","{WMo{wra{yt'{Cr{cake{Cn {YSc{wou{Wt","{WM{wo{Wr{ya{Ct{c'{Cr{ya{Wk{we{Wn",
			"{WM'{wGr{yo{Cl{cm R{Ce{yc{wru{Wit","{WA{wp{yp{Cr{cen{Ct{yi{wc{We","{WMo{wra{yt'{CG{crol{Cm {YSc{wou{Wt","{WM{wo{Wr{ya{Ct{c'{Cg{yr{Wo{wl{Wm",
			"{WM'{wCo{yr{Cl{cm R{Ce{yc{wru{Wit","{WA{wp{yp{Cr{cen{Ct{yi{wc{We" },
		
	},
	{ "morat", 2,
		{ "CScout", "Corlm",
			"TRecruit","TApprentice","TScout","Torm",
			"LRecruit","LApprentice","LScout","Lopar" },
		{ "{WMo{wra{yt'{Cc{corl{Cm {YSc{wou{Wt","{WM{wo{Wr{ya{Ct{c'{Cc{yo{Wr{wl{Wm",
			"{WM'{wT{yo{Cr{cm R{Ce{yc{wru{Wit","{WA{wp{yp{Cr{cen{Ct{yi{wc{We","{WMo{wra{yt'{Ct{cor{Cm {YSc{wou{Wt","{WM{wo{Wr{ya{Ct{c'{yt{Wo{wr{Wm",
			"{WM'{wLo{yp{Ca{cr R{Ce{yc{wru{Wit","{WA{wp{yp{Cr{cen{Ct{yi{wc{We","{WMo{wra{yt'{Cl{copa{Cr {YSc{wou{Wt","{WM{wo{Wr{ya{Ct{c'{Cl{yo{Wp{wa{Wr" },

	},
	{ "seanchan", 1,
	  {"Recruit","Noble","Trainee","Lord","Apprentice","Lady","Sul'dam","High Lord","Der'sul'dam","High Lady" },
	  {"{BS{bu{Yl'd{ba{Bm {BR{be{Ycru{bi{Bt","{RNo{rbl{Re","{BS{bu{Yl'd{ba{Bm {BT{br{Yain{be{Be","{RLo{rr{Rd",
	 "{BA{bp{Yprenti{bc{Be","{RLa{rd{Ry","{BS{bu{Yl'd{ba{Bm","{RHi{rg{Rh {RLo{rr{Rd","{BDe{br'{Ysul{b'd{Bam",
	 "{RHi{rg{Rh {RLa{rd{Ry" },
	},
	{ "seanchan", 2,
	  { "SRecruit","Da'tsang","STrainee","Covale","SApprentice","Da'covale","Seeker","So'jhin","High Seeker","Voice" },
	  { "{DSe{Wek{Der Re{wcru{Dit","{WD{wa'tsan{Wg","{DSe{Wek{Der Tr{Wain{Dee","{WC{woval{We","{DAp{wprenti{Dce",
	 "{WD{wa'coval{We","{DSe{Wek{Der","{WS{wo'jhi{Wn","{DH{wig{Dh Se{wek{Der","{WV{woic{We"},
	},
	{ "oathtaker", 1,
	  { "Oathtaker","Oathsworn","Soldier","Officer","","","","","","" },
	  { "{WO{wat{Rhta{wke{Wr","{WO{wat{Rhsw{wor{Wn","{WS{wo{Rldi{we{Wr","{WO{wf{Rfic{we{Wr","","","","","","" },
	},
	{ "unique", 1,
	  { "Mistress","Keeper","Amyrlin Seat","Eldest of Tsofu","","","","","","" },
	  { "{WM{wi{Ws{wt{Wr{we{Ws{ws of {WN{wovices","{RK{we{Ye{Wp{ge{Br{w of the Chronicles",
	  	"{GA{Ym{wy{Rr{yl{Wi{Bn {YS{ye{Ya{yt","{GE{gldest {Wof {GT{sofu","","","","","","" },
	},
	{ NULL, 0,
	  { "","","","","","","","","","" },
	  { "","","","","","","","","","" },
	},

};








