 /***************************************************************************

    Original Diku Mud copyright (C) 1990, 1991 by Sebastian Hammer,
    Michael Seifert, Hans Henrik St{rfeldt, Tom Madsen, and Katja Nyboe.

    Merc Diku Mud improvments copyright (C) 1992, 1993 by Michael
    Chastain, Michael Quan, and Mitchell Tse.

    In order to use any part of this Merc Diku Mud, you must comply with
    both the original Diku license in 'license.doc' as well the Merc
    license in 'license.txt'.  In particular, you may not remove either of
    these copyright notices.

    Much time and thought has gone into this software and you are
    benefitting.  We hope that you share your changes too.  What goes
    around, comes around.

	ROM 2.4 is copyright 1993-1998 Russ Taylor
	ROM has been brought to you by the ROM consortium
	    Russ Taylor (rtaylor@hypercube.org)
	    Gabrielle Taylor (gtaylor@hypercube.org)
	    Brian Moore (zump@rom.org)
	By using this code, you have agreed to follow the terms of the
	ROM license, in the file Rom24/doc/rom.license

 ***************************************************************************/
/*
struct stitch_items_type
{
       char *name;
       int   quantity;
       int   weight;
       int   difficulty;
       int   beats;
       int   wear_flags;
       int   base_pierce;
       int   base_bash;
       int   base_slash;
       int   base_exotic;
};


struct stitch_patterns_type
{
	char *aname;
	char *bname;
	int difficulty;
	int beats;
};

struct cloth_colors_type
{
	int number;
	char *aname;
	char *bname;
	char *cname;
};

struct stitch_items_type
{
       char *name;
       int	 length;
       int   weight;
       int   difficulty;
       int   beats;
       int   wear_flags;
       int   base_pierce;
       int   base_bash;
       int   base_slash;
       int   base_exotic;
};
*/
const struct cloth_colors_type cloth_colors_table[] = 
{
	{  0,	"{Dblack",		"black",		"black"		},
	{  1,	"{wgrey",			"grey",			"grey"		},
	{  2,	"{Wwhite",		"white",		"white"		},
	{  3,	"{Rred",			"red",			"red"		},
	{  4,	"{rdark red",		"darkred",		"dark red"	},
	{  5,	"{Yyellow",		"yellow",		"yellow"	},
	{  6,	"{ybrown",		"brown",		"brown"		},
	{  7,	"{Ggreen",		"green",		"green"		},
	{  8,	"{gdark green",	"darkgreen",	"dark green"},
	{  9,	"{Ccyan",			"cyan",			"cyan"		},
	{ 10,	"{cdark cyan",	"darkcyan",		"dark cyan"	},
	{ 11,	"{Bblue",			"blue",			"blue"		},
	{ 12,	"{bdark blue",	"darkblue",		"dark blue"	},
	{ 13,	"{Mpink",			"pink",			"pink"		},
	{ 14,	"{mpurple",		"purple",		"purple"	},
	{ 15,	NULL,				NULL,			NULL		}
};

const   struct  stitch_items_type stitch_items_table [] =
{
	   //name, length, weight, diff, beats, wear, pierce, bash, slash, exotic
	{   "coat",       8, 15, 75,  8, ITEM_TAKE|ITEM_WEAR_ABOUT,		 9, 10, 10,  8},
	{   "cloak",      8, 15, 85, 10, ITEM_TAKE|ITEM_WEAR_ABOUT,		 9, 10, 10,  8},
	{   "mantle",     8, 15, 95, 15, ITEM_TAKE|ITEM_WEAR_ABOUT,		 9, 10, 10,  8},
	{   "cape",       8, 15, 99, 20, ITEM_TAKE|ITEM_WEAR_ABOUT,		 9, 10, 10,  8},
	{   "sleeves",    4,  5, 37,  5, ITEM_TAKE|ITEM_WEAR_ARMS,		10, 10, 10, 10},
	{   "vest",       8,  6, 25,  4, ITEM_TAKE|ITEM_WEAR_BODY,		11, 12, 12,  9},
	{   "shawl",      8,  6, 50,  6, ITEM_TAKE|ITEM_WEAR_BODY,		11, 12, 12,  9},
 	{   "bodice",     8,  7, 80,  7, ITEM_TAKE|ITEM_WEAR_BODY,		11, 12, 12,  9},
	{   "dress",	  8,  8, 80,  7, ITEM_TAKE|ITEM_WEAR_BODY,		11, 12, 12,  9},
	{   "shift",	  8,  8, 80,  7, ITEM_TAKE|ITEM_WEAR_BODY,		11, 12, 12,  9},
	{   "shirt",      8,  8, 80,  7, ITEM_TAKE|ITEM_WEAR_BODY,		11, 12, 12,  9},
	{   "stockings",  4,  4, 80,  7, ITEM_TAKE|ITEM_WEAR_CALF,		 9,  9,  9,  9},
	{   "mask",       2,  6, 85, 15, ITEM_TAKE|ITEM_WEAR_EYES,		 8,  8,  8,  8},
	{   "veil",	  2,  6, 85, 15, ITEM_TAKE|ITEM_WEAR_EYES,		 8,  8,  8,  8},
	{   "arm-band",   2,  3, 50, 20, ITEM_TAKE|ITEM_WEAR_FOREARM,		 7,  7,  7,  7},
	{   "gloves",     4,  3, 75,  4, ITEM_TAKE|ITEM_WEAR_HANDS,		10, 10, 10, 10},
	{   "ribbon",     1,  3, 50,  4, ITEM_TAKE|ITEM_WEAR_HEAD,		 3,  3,  3,  3},
	{   "bandana",    2,  3, 25,  4, ITEM_TAKE|ITEM_WEAR_HEAD,		 3,  3,  3,  3},
	{   "kerchief",   2,  3, 80,  7, ITEM_TAKE|ITEM_WEAR_HEAD,		 3,  3,  3,  3},
	{   "hood",	  4,  3, 80,  7, ITEM_TAKE|ITEM_WEAR_HEAD,		 3,  3,  3,  3},
	{   "pants",      8,  8, 55,  6, ITEM_TAKE|ITEM_WEAR_LEGS,		 9, 10, 10,  8},
	{   "skirts",     2,  8, 55,  6, ITEM_TAKE|ITEM_WEAR_LEGS,		 9, 10, 10,  8},
	{   "leggings",   8,  8, 55,  7, ITEM_TAKE|ITEM_WEAR_LEGS,		 9, 10, 10,  8},
	{   "neckpiece",  2,  4, 65,  7, ITEM_TAKE|ITEM_WEAR_NECK,		 6,  6,  6,  6},
	{   "choker",     2,  4, 75,  7, ITEM_TAKE|ITEM_WEAR_NECK,		 6,  6,  6,  6},
	{   "scarf",      4,  4, 80,  7, ITEM_TAKE|ITEM_WEAR_NECK,		 6,  6,  6,  6},
	{   "collar",     4,  4, 80,  7, ITEM_TAKE|ITEM_WEAR_NECK,		 6,  6,  6,  6},
	{   "belt",       4,  8, 80,  7, ITEM_TAKE|ITEM_WEAR_WAIST,		 7,  7,  7,  7},
	{   "sash",       4,  8, 80,  7, ITEM_TAKE|ITEM_WEAR_WAIST,		 7,  7,  7,  7},
	{   "corset",     8,  8, 80,  7, ITEM_TAKE|ITEM_WEAR_WAIST,		 7,  7,  7,  7},
	{   "cuffs",      1,  8, 80,  7, ITEM_TAKE|ITEM_WEAR_WRIST,		 5,  5,  5,  5},
	{   "boots",      4,  5, 95, 15, ITEM_TAKE|ITEM_WEAR_FEET,		 2,  2,  2,  2},
	{   "shoes",      4,  4, 85,  8, ITEM_TAKE|ITEM_WEAR_FEET,		 2,  2,  2,  2},
	{   "sandals",    3,  4, 75,  6, ITEM_TAKE|ITEM_WEAR_FEET,		 5,  5,  5,  5},
	{   "slippers",   3,  4, 50,  4, ITEM_TAKE|ITEM_WEAR_FEET,		 2,  2,  2,  2},
	{   NULL,	  0,  0,  0,  0, 0,					 0,  0,  0,  0}
};



const	struct	stitch_patterns_type stitch_patterns_table [] =
{
	{ "crane",			"crane",			80, 10 },
	{ "dragon's fang",		"dragon's fang",		50,  4 },
	{ "eagle",			"eagle",			80, 10 },
	{ "falcon",			"falcon",			80, 10 },
	{ "hawk",			"hawk",				80, 10 },
	{ "heron",			"heron",			80, 10 },
	{ "leaves",			"leaves",			90, 12 },
	{ "rose",			"rose",				90, 12 },
	{ "serpent",			"serpent",			75,  7 },
	{ "vines",			"vines",			90, 12 },
	{ "flames",			"flames",			90, 12 },
	{ "thorns",			"thorns",			90, 12 },
	{ "teardrop",			"teardrop",			50,  4 },
	{ "sword",			"sword",			50, 10 },
	{ "dragon",			"dragon",			90, 12 },
	{ "wolf",			"wolf",				80, 12 },
	{ "boar",			"boar",				80, 10 },
	{ "bull",			"bull",				80, 15 },
	{ "fox",			"fox",				80, 15 },
	{ "sunburst",			"sunburst",			90, 12 },
	{ "raven",			"raven",			80, 16 },
	{ "tairen maze",		"tairen maze",		       100, 25 },	
	{ NULL, NULL, 0 }
};

extern const struct stitch_items_type stitch_items_table[];
extern const struct cloth_colors_type cloth_colors_table[];
extern const struct stitch_patterns_type stitch_patterns_table[];


