typedef struct bug_info BUG_DATA;
typedef struct imm_info IMM_DATA;

struct bug_info
{
    BUG_DATA *next;
    BUG_DATA *prev;
    BUG_DATA *last;
    bool closed;
    bool remove;
    bool valid;
    char *name;
    char *msg;
    char *imminfo;
    char *mortinfo;
    char *date_listed;
    char *lastmod;
    char *lastname;
    int number;
    int award;
    int room;
    long true_number;
    long lastmodtime;
    long removeafter;
};

void save_bugs args((void));
char *format_bug args((CHAR_DATA *ch, BUG_DATA *bug, bool concise));
void do_new_bug args((CHAR_DATA *ch, char *argument));

struct imm_info
{
    IMM_DATA *next;
    IMM_DATA *prev;
    IMM_DATA *last;
    bool closed;
    bool remove;
    bool valid;
    char *name;
    char *msg;
    char *imminfo;
    char *mortinfo;
    char *date_listed;
    char *lastmod;
    char *lastname;
    int number;
    int award;
    int room;
    int which;
    long true_number;
    long lastmodtime;
    long removeafter;
};

void save_imms args((void));
char *format_imm args((CHAR_DATA *ch, IMM_DATA *imm, bool concise, int immt));
void do_new_imm args((CHAR_DATA *ch, char *argument, int immt));
