/***************************************************************************

                      _____  __      __  __      __
                     /  _  \/  \    /  \/  \    /  \
                    /  /_\  \   \/\/   /\   \/\/   /
                   /    |    \        /  \        /
                   \____|__  /\__/\  /    \__/\  /
                           \/      \/          \/

    As the Wheel Weaves based on ROM 2.4. Original code by Dalsor.
    See changes.log for a list of changes from the original ROM code.
    Credits for code created by other authors have been left
 	intact at the head of each function.

    Original Diku Mud copyright (C) 1990, 1991 by Sebastian Hammer,
    Michael Seifert, Hans Henrik St{rfeldt, Tom Madsen, and Katja Nyboe.

    Merc Diku Mud improvments copyright (C) 1992, 1993 by Michael
    Chastain, Michael Quan, and Mitchell Tse.

    In order to use any part of this Merc Diku Mud, you must comply with
    both the original Diku license in 'license.doc' as well the Merc
    license in 'license.txt'.  In particular, you may not remove either of
    these copyright notices.

    Much time and thought has gone into this software and you are
    benefitting.  We hope that you share your changes too.  What goes
    around, comes around.

	ROM 2.4 is copyright 1993-1998 Russ Taylor
	ROM has been brought to you by the ROM consortium
	    Russ Taylor (rtaylor@hypercube.org)
	    Gabrielle Taylor (gtaylor@hypercube.org)
	    Brian Moore (zump@rom.org)
	By using this code, you have agreed to follow the terms of the
	ROM license, in the file Rom24/doc/rom.license

 ***************************************************************************/

struct faire_angreal3_type
{
	char *aName;
};
struct faire_angreal2_type
{
	char *aName;
};
struct faire_angreal1_type
{
	char *aName;
};
struct faire_drink_type
{
	char *dName;
};
struct faire_bow_wood_type
{
	char *pName;
};
struct faire_pipewood_type
{
	char *pName;
};
struct faire_heraldry_type
{
	char *hName;
};
struct faire_shield_armor_type
{
	char *oName;
	int   pierce;
	int   bash;
	int   slash;
	int   exotic;
	int   wearFlags;
};
struct faire_back_armor_type
{
	char *oName;
	int   pierce;
	int   bash;
	int   slash;
	int   exotic;
	int   wearFlags;
};
struct faire_arm_armor_type
{
	char *oName;
	int   pierce;
	int   bash;
	int   slash;
	int   exotic;
	int   wearFlags;
};
struct faire_ankle_armor_type
{
	char *oName;
	int   pierce;
	int   bash;
	int   slash;
	int   exotic;
	int   wearFlags;
};
struct faire_hand_armor_type
{
	char *oName;
	int   pierce;
	int   bash;
	int   slash;
	int   exotic;
	int   wearFlags;
};
struct faire_head_armor_type
{
	char *oName;
	int   pierce;
	int   bash;
	int   slash;
	int   exotic;
	int   wearFlags;
};
struct faire_body_armor_type
{
	char *oName;
	int   pierce;
	int   bash;
	int   slash;
	int   exotic;
	int   wearFlags;
};
struct faire_waist_armor_type
{
	char *oName;
	int   pierce;
	int   bash;
	int   slash;
	int   exotic;
	int   wearFlags;
};
struct faire_foot_armor_type
{
	char *oName;
	int   pierce;
	int   bash;
	int   slash;
	int   exotic;
	int   wearFlags;
};
struct faire_calf_armor_type
{
	char *oName;
	int   pierce;
	int   bash;
	int   slash;
	int   exotic;
	int   wearFlags;
};
struct faire_thigh_armor_type
{
	char *oName;
	int   pierce;
	int   bash;
	int   slash;
	int   exotic;
	int   wearFlags;
};
struct faire_paintings_type
{
	char *pScene;
	char *pName;
};
struct faire_metals_type
{
	char *oName;
	int   costMod;
};
struct faire_material_type
{
	char *oName;
	int   costMod;
};
struct faire_polearm_type
{
	char *oName;
	int   costMod;
	int   v1;
	int   v2;
	char *v3;
	int   v4;
};
struct faire_whip_type
{
	char *oName;
	int   costMod;
	int   v1;
	int   v2;
	char *v3;
	int   v4;
};
struct faire_flail_type
{
	char *oName;
	int   costMod;
	int   v1;
	int   v2;
	char *v3;
	int   v4;
};
struct faire_axe_type
{
	char *oName;
	int   costMod;
	int   v1;
	int   v2;
	char *v3;
	int   v4;
};
struct faire_dagger_type
{
	char *oName;
	int   costMod;
	int   v1;
	int   v2;
	char *v3;
	int   v4;
};
struct faire_mace_type
{
	char *oName;
	int   costMod;
	int   v1;
	int   v2;
	char *v3;
	int   v4;
};
struct faire_staff_type
{
	char *oName;
	int   costMod;
	int   v1;
	int   v2;
	char *v3;
	int   v4;
};
struct faire_sword_type
{
	char *oName;
	int   costMod;
	int   v1;
	int   v2;
	char *v3;
	int   v4;
};
struct faire_spear_type
{
	char *oName;
	int   costMod;
	int   v1;
	int   v2;
	char *v3;
	int   v4;
};
struct faire_scents_type
{
	char *smell;
};
struct faire_gem_type
{
	char *oName;
	int   costMod;
};
struct faire_guild_type
{
	char *gName;
};
struct faire_location_type
{
	char *fName;
	char *pName;
	int   vnum;
	char *portalName;
};
struct faire_items_type
{
	char *iName;
	int   iType;
	int   wFlags;
	int   v0;
	int   v1;
	int   v2;
	int   v3;
	int   v4;
	int   pierce;
	int   bash;
	int   slash;
	int   exotic;
	char *damNoun;
};
struct faire_mobs_type
{
	char  *mName;
	int    vnum;
	sh_int mSex;
	char  *mRace;
	char  *mFrom;
};

/* header for faires */ // moved by prool to end of file

extern const struct faire_location_type faire_location_table[];
extern const struct faire_items_type faire_items_table[];
extern const struct faire_mobs_type faire_mobs_table[];
extern const struct faire_material_type faire_material_table[];
extern const struct faire_guild_type faire_guild_table[];
extern const struct faire_gem_type faire_gem_table[];
extern const struct faire_scents_type faire_scents_table[];
extern const struct faire_sword_type faire_sword_table[];
extern const struct faire_spear_type faire_spear_table[];
extern const struct faire_staff_type faire_staff_table[];
extern const struct faire_mace_type faire_mace_table[];
extern const struct faire_dagger_type faire_dagger_table[];
extern const struct faire_axe_type faire_axe_table[];
extern const struct faire_flail_type faire_flail_table[];
extern const struct faire_whip_type faire_whip_table[];
extern const struct faire_polearm_type faire_polearm_table[];
extern const struct faire_metals_type faire_metals_table[];
extern const struct faire_paintings_type faire_paintings_table[];
extern const struct faire_thigh_armor_type faire_thigh_armor_table[];
extern const struct faire_calf_armor_type faire_calf_armor_table[];
extern const struct faire_foot_armor_type faire_foot_armor_table[];
extern const struct faire_waist_armor_type faire_waist_armor_table[];
extern const struct faire_body_armor_type faire_body_armor_table[];
extern const struct faire_head_armor_type faire_head_armor_table[];
extern const struct faire_hand_armor_type faire_hand_armor_table[];
extern const struct faire_ankle_armor_type faire_ankle_armor_table[];
extern const struct faire_arm_armor_type faire_arm_armor_table[];
extern const struct faire_back_armor_type faire_back_armor_table[];
extern const struct faire_shield_armor_type faire_shield_armor_table[];
extern const struct faire_heraldry_type faire_heraldry_table[];
extern const struct faire_pipewood_type faire_pipewood_table[];
extern const struct faire_drink_type faire_drink_table[];
extern const struct faire_angreal1_type faire_angreal1_table[];
extern const struct faire_angreal2_type faire_angreal2_table[];
extern const struct faire_angreal3_type faire_angreal3_table[];
extern const struct faire_bow_wood_type faire_bow_wood_table[];
