/***************************************************************************

                      _____  __      __  __      __
                     /  _  \/  \    /  \/  \    /  \
                    /  /_\  \   \/\/   /\   \/\/   /
                   /    |    \        /  \        /
                   \____|__  /\__/\  /    \__/\  /
                           \/      \/          \/

    As the Wheel Weaves based on ROM 2.4. Original code by Dalsor.
    See changes.log for a list of changes from the original ROM code.
    Credits for code created by other authors have been left
 	intact at the head of each function.

    Original Diku Mud copyright (C) 1990, 1991 by Sebastian Hammer,
    Michael Seifert, Hans Henrik St{rfeldt, Tom Madsen, and Katja Nyboe.

    Merc Diku Mud improvments copyright (C) 1992, 1993 by Michael
    Chastain, Michael Quan, and Mitchell Tse.

    In order to use any part of this Merc Diku Mud, you must comply with
    both the original Diku license in 'license.doc' as well the Merc
    license in 'license.txt'.  In particular, you may not remove either of
    these copyright notices.

    Much time and thought has gone into this software and you are
    benefitting.  We hope that you share your changes too.  What goes
    around, comes around.

	ROM 2.4 is copyright 1993-1998 Russ Taylor
	ROM has been brought to you by the ROM consortium
	    Russ Taylor (rtaylor@hypercube.org)
	    Gabrielle Taylor (gtaylor@hypercube.org)
	    Brian Moore (zump@rom.org)
	By using this code, you have agreed to follow the terms of the
	ROM license, in the file Rom24/doc/rom.license

 ***************************************************************************
		   IRC Style Chat Header by Raelik
 ***************************************************************************/

#include "aww.h"

typedef struct irc_data		IRC_DATA;
typedef struct irc_mem_data	IRC_MEM_DATA;
typedef struct irc_ban_data	IRC_BAN_DATA;
typedef struct irc_inv_data	IRC_INV_DATA;

extern IRC_DATA *	first_irc;
extern IRC_DATA *	last_irc;

struct irc_data
{
	IRC_DATA *next;
	IRC_DATA *prev;
	IRC_MEM_DATA *first_member;
	IRC_MEM_DATA *last_member;
	IRC_BAN_DATA *first_ban;
	IRC_BAN_DATA *last_ban;
	IRC_INV_DATA *first_inv;
	IRC_INV_DATA *last_inv;
	char *name;
	char *topic;
	char *creator;
	char *color;
	int  num;
	bool privat;
};

struct irc_mem_data
{
	IRC_MEM_DATA *next;
	IRC_MEM_DATA *prev;
	char *name;
	bool mod;
};

struct irc_ban_data
{
	IRC_BAN_DATA *next;
	IRC_BAN_DATA *prev;
	char *name;
};

struct irc_inv_data
{
	IRC_INV_DATA *next;
	IRC_INV_DATA *prev;
	char *name;
};

