struct trolloc_face_type
{
	char *name;
	char *trolloc_clan;
};
struct hair_color_type
{
	char *name;
};
struct hair_shade_type
{
	char *name;
};
struct hair_style_type
{
	char *name;
};
struct hair_length_type
{
	char *name;
};
struct eye_color_type
{
	char *name;
};
struct background_type
{
	char *name;
	sh_int bonus;
	char *bonus_str;
};
struct aiel_clan_type
{
	char *name;
};
struct trolloc_clan_type
{
	char *name;
};


extern  const	struct  trolloc_face_type	trolloc_face_table	[];
extern  const	struct  hair_color_type	hair_color_table	[];
extern  const	struct  eye_color_type	eye_color_table	[];
extern  const	struct  background_type	background_table	[];

const struct aiel_clan_type aiel_clan_table [] =
{
	{ "taardad" },
	{ "goshien" },
	{ "tomanelle" },
	{ "shaarad" },
	{ "nakai" },
	{ "reyn" },
	{ "chareen" },
	{ "codarra" },
	{ "daryne" },
	{ "miagoma" },
	{ "shiande" },
	{ "shaido" },
	{ NULL }
};
const struct trolloc_face_type trolloc_face_table [] =
{
	{ "ahfrait",    "{RAh{rf{D'{rfr{Rai{rt" },
	{ "alghol",  "{RA{rl{D'{rg{Rho{rl" },
	{ "bahnsheen",     "{RBah{rn{D'{rs{Rhe{ren" },
	{ "dhavol",    "{RDh{ra{D'{rv{Ro{rl" },
	{ "dhaimon",    "{RDha{ri{D'{rm{Ro{rn" },
	{ "dhjinnen",  "{RDhj{rin{D'{rn{Re{rn" },
	{ "ghargael",     "{RGha{rr{D'{rg{Rae{rl" },
	{ "ghoblin",   "{RGho{rbh{D'{rl{Ri{rn" },
	{ "ghohlem",    "{RGho{rh{D'{rl{Re{rm" },
	{ "ghraemlan",   "{RGhra{rem{D'{rl{Ra{rn" },
	{ "kobal",    "{RK{ro{D'{rb{Ra{rl" },
	{ "knomon", "{RKn{ro{D'{rm{Ro{rn" },
	{ NULL }
};

/*
const struct trolloc_face_type trolloc_face_table [] =
{
	{ "wolf",    "{RAh{rf{D'{rfr{Rai{rt" },
	{ "lizard",  "{RA{rl{D'{rg{Rho{rl" },
	{ "ram",     "{RBah{rn{D'{rs{Rhe{ren" },
	{ "hawk",    "{RDh{ra{D'{rv{Ro{rl" },
	{ "lion",    "{RDha{ri{D'{rm{Ro{rn" },
	{ "jackal",  "{RDhj{rin{D'{rn{Re{rn" },
	{ "rat",     "{RGha{rr{D'{rg{Rae{rl" },
	{ "raven",   "{RGho{rbh{D'{rl{Ri{rn" },
	{ "boar",    "{RGho{rh{D'{rl{Re{rm" },
	{ "snake",   "{RGhra{rem{D'{rl{Ra{rn" },
	{ "mutt",    "{RK{ro{D'{rb{Ra{rl" },
	{ "mangled", "{RKn{ro{D'{rm{Ro{rn" },
	{ NULL }
};
*/

const struct hair_color_type hair_color_table [] =
{
	{ "brown" },
	{ "red" },
	{ "blonde" },
	{ "black" },
	{ "gray" },
	{ "white" },
	{ NULL, }
};
const struct hair_shade_type hair_shade_table [] =
{
	{ "dark" },
	{ "light" },
	{ "deep" },
	{ "shiny" },
	{ "soft" },
	{ "sandy" },
	{ "fiery" },
	{ "dirty" },
	{ "rust" },
	{ "jet" },
	{ NULL }
};
const struct hair_style_type hair_style_table [] =
{
	{ "straight" },
	{ "curly" },
	{ "wavy" },
	{ "kinky" },
	{ "oily" },
	{ "dry" },
	{ "fine" },
	{ "stringy" },
	{ NULL }
};
const struct hair_length_type hair_length_table [] =
{
	{ "short" },
	{ "shoulder-length" },
	{ "cropped" },
	{ "very-long" },
	{ "waist-length" },
	{ "long" },
	{ "stubby" },
	{ "shorn" },
	{ "clipped" },
	{ NULL }
};
const struct eye_color_type eye_color_table [] =
{
	{ "blue" },
	{ "sky-blue" },
	{ "dark-blue" },
	{ "cobalt-blue" },
	{ "light-blue" },
	{ "misty-blue" },
	{ "clear-blue" },
	{ "brown" },
	{ "sandy-brown" },
	{ "light-brown" },
	{ "dark-brown" },
	{ "smokey-brown" },
	{ "dirt-brown" },
	{ "muddy-brown" },
	{ "sea-green" },
	{ "light-green" },
	{ "blue-green" },
	{ "gray" },
	{ "misty-gray" },
	{ "smokey-gray" },
	{ "cloudy-gray" },
	{ "slate-gray" },
	{ "hazy-gray" },
	{ "black" },
	{ "flat-black" },
	{ "coal-black" },
	{ "jet-black" },
	{ "pitch-black" },
	{ "night-black" },
	{ "dull-black" },
	{ "green" },
	{ "emerald-green" },
	{ "dark-green" },
	{ "bright-green" },
	{ NULL }
};
const struct background_type background_table [] =
{
	{ "soldier", STAT_CON, "Soldiers and mercenaries. Bonus to constitution."    },
	{ "merchant", STAT_INT, "Traders and peddlers. Bonus to intelligence."   },
	{ "beggar", STAT_DEX, "Also includes rogues. Bonus to dexterity."     },
	{ "artist", STAT_CHA, "Painters and sculpters. Bonus to charisma."     },
	{ "farmer", STAT_STR, "Tenders of the land. Bonus to strength."     },
	{ "adolescent", STAT_INS, "Children and young adults. Bonus to instinct." },
	{ "musician", STAT_WIS, "All manner of entertainers. Bonus to wisdom."   },
	{ "sailor", STAT_REF, "Boat and ship workers. Bonus to reflex."     },
	{ "noble", STAT_CHA, "Descended from nobility. Bonus to charisma."     },
	{ NULL , 0               }
};
